FreeBSD : codeigniter -- multiple vulnerabilities (f838dcb4-656f-11e5-9909-002590263bf5)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

The CodeIgniter changelog reports :

Security: The xor_encode() method in the Encrypt Class has been
removed. The Encrypt Class now requires the Mcrypt extension to be
installed.

Security: The Session Library now uses HMAC authentication instead of
a simple MD5 checksum.

See also :

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=203401
https://codeigniter.com/userguide2/changelog.html
http://www.nessus.org/u?a7470ad2

Solution :

Update the affected package.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 86181 ()

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now